1.1
1.1
get /v1/baremetals
Description
Get Bare Metal Servers list.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | server_name optional | Bare Metal Server name Example : bmserver-001 | any of [string, null] | None |
| query | state optional | Bare Metal Server state Example : RUNNING | any of [string, null] | None |
| query | ip optional | Bare Metal Server IP address Example : 192.168.0.1 | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : e58348b1bc9148e5af86500fd4ef99ca | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BaremetalListResponseV1Dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/baremetals
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = baremetal 1.1"
Example HTTP response
Response 200
{
"baremetals": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "IMAGE-7XFMaJpLsapKvskFMjCtmm",
"image_version": "RHEL 8.7 for BM",
"lock_enabled": true,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"network_id": "ab313c43291e4b678f4bacffe10768ae",
"os_type": "WINDOWS",
"placement_group_name": "pgtest",
"policy_ip": "192.168.0.1",
"product_type_id": "PRODUCT-0iT9dNiLr4lVoYmjlY2Vgg",
"region_id": "kr-west1",
"server_name": "bmserver-001",
"server_type": "s1v8m32_metal",
"state": "RUNNING",
"vpc_id": "e58348b1bc9148e5af86500fd4ef99ca"
}
],
"count": 20
}